$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://gitlab.com/librewolf-community/browser/windows/uploads/40676f87fd86308558c971a96872ec5e/librewolf-91.0.1.en-US.win64-setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url64bit      = $url64

  softwareName  = 'LibreWolf'

  checksum64    = '185fdc2997f925122e79206c2f9e779649036b99f68fd328d091e097e67fd4a3'
  checksumType64= 'sha256'

  silentArgs   = '/S'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
